.cN-pagination {
    font-size: 0.92em;
    margin-top: 20px;
    padding: 0.75em 0;
    text-align: right;
}

.cN-pagination a,
.cN-pagination li.selected {
    background: #fff none repeat scroll 0 0;
    border: 1px solid #dddddd;
    border-radius: 3px;
    color: #666666;
}

.cN-pagination li.selected {
    background: #060879;
    border-color: #060879;
    color: #fff;
    cursor: pointer;
}

.cN-pagination a {
    display: block;
    text-decoration: none;
}

.cN-pagination li {
    display: inline-block;
    list-style: none outside none;
    margin: 0;
    margin-right: 5px;
    border-radius: 3px;
    vertical-align: middle;
}

.cN-pagination a,
.cN-pagination li.selected {
    padding: 0 10px;
    line-height: 28px;
}

*+html .cN-pagination li.selected {
    margin-right: 0.4em;
}

* html .cN-pagination li.selected {
    margin-right: 0.4em;
}

.cN-pagination li {
    box-sizing: border-box;
    margin: 0;
}

.cN-pagination li.next,
.cN-pagination li.prev {
    display: inline-block;
    margin: 0;
}

li.prev,
li.next {
    color: #060879;
}

li.prev .iconfont,
li.next .iconfont {
    font-size: 22px;
}

li.prev.disable,
li.next.disable {
    color: #bababa;
    cursor: no-drop;
}

.cN-pagination a,
.cN-pagination li.selected {
    background: none;
    border: none;
    line-height: initial;
    color: #060879;
    padding: 0;
}

.cN-pagination li.page {
    border: 1px solid #e3e3e3;
    background: #fff;
    height: 28px;
    line-height: 28px;
    padding: 0 20px;
    border-radius: 28px;
    margin: 0 20px 0 0;
    color: #737373;
}

.cN-pagination li.page .current {
    color: #060879;
    font-weight: 700;
}

.cN-pagination .page_goto {
    display: inline-block;
    border: 1px solid #F4BF49;
    height: 28px;
    line-height: 28px;
    border-radius: 28px;
    padding: 0 10px;
    margin-left: 20px;
    box-sizing: border-box;
}

.cN-pagination .page_goto input {
    background: none;
    border: none;
    display: inline-block;
    width: 30px;
    height: 100%;
    box-sizing: border-box;
    vertical-align: top;
    text-align: center;
}

.cN-pagination .go-page {
    display: inline-block;
    vertical-align: top;
    line-height: 28px;
    font-size: 13px;
    font-weight: 700;
    height: 100%;
    box-sizing: border-box;
    color: #060879;
    position: relative;
    margin-left: 10px;
    cursor: pointer;
    background: #fff;
}

.cN-pagination .go-page .iconfont {
    font-size: 13px;
    margin-left: 5px;
    color: #F3BF4A;
}

.cN-pagination .go-page:before {
    content: "";
    position: absolute;
    height: 16px;
    top: 6px;
    left: -9px;
    width: 1px;
    background: #e7e7e7;
}

.page_number_wrap {
    /*display: inline-block;*/
    height: 28px;
    line-height: 28px;
    position: relative;
    background: #fff;
    border: 1px solid #F4BF49;
    border-radius: 28px;
    margin-right: 20px;
    min-width: 70px;
    text-align: center;
    cursor: pointer;
    box-sizing: border-box;
    vertical-align: middle;
    display: none;
}

.page_number_wrap ul {
    position: absolute;
    background: #fff;
    bottom: 29px;
    width: 100%;
    left: 50%;
    transform: translateX(-50%);
    border-radius: 10px 10px 0 0;
    box-shadow: 0 -4px 10px 1px rgba(0, 0, 0, 0.1);
    z-index: 999;
    display: none;
    transition: all 0.2s;
}

.page_number_selected {
    color: #737373;
    padding-right: 20px;
    display: block;
}

.page_number_wrap .iconfont {
    color: #F4BF49;
    font-size: 13px;
    position: absolute;
    right: 10px;
    top: 50%;
    width: 14px;
    height: 14px;
    text-align: center;
    line-height: 15px;
    margin-top: -7px;
    transition: all 0.2s;
    pointer-events: none;
}

.page_number_wrap.open .iconfont {
    transform: rotate(-180deg);
}

.page_number_wrap ul li {
    display: block;
    color: #737373;
    cursor: pointer;
}

.page_number_wrap ul li:first-child {
    padding-top: 5px;
}

.page_number_wrap ul li:last-child {
    padding-bottom: 5px;
}

.page_number_wrap ul li:hover {
    background: #060879;
    color: #fff;
    border-radius: 0;
}

.page_number_wrap ul li:first-child:hover {
    border-radius: 10px 10px 0 0;
}

@media screen and (max-width:640px) {
    .cN-pagination {
        text-align: center;
    }

    .cN-pagination li {
        box-sizing: border-box;
        margin: 0;
    }

    .cN-pagination li.next,
    .cN-pagination li.prev {
        display: inline-block;
        margin: 0;
    }

    .cN-pagination .page_total,
    .cN-pagination span.page_goto {
        margin-bottom: 10px;
    }

    .cN-pagination span.page_goto {
        display: none;
    }

    li.prev,
    li.next {
        color: #060879;
    }

    li.prev .iconfont,
    li.next .iconfont {
        font-size: 22px;
    }

    li.prev.disable,
    li.next.disable {
        color: #bababa;
        cursor: no-drop;
    }

    .cN-pagination a,
    .cN-pagination li.selected {
        background: none;
        border: none;
        line-height: initial;
        color: #060879;
        padding: 0;
    }

    .cN-pagination li.page {
        border: 1px solid #e3e3e3;
        background: #fff;
        height: 28px;
        line-height: 28px;
        padding: 0 20px;
        border-radius: 28px;
        margin: 0 40px;
        color: #737373;
    }

    .cN-pagination li.page .current {
        color: #060879;
        font-weight: 700;
    }
    
    .page_goto {
        display: none;
    }
    
    .page_number_wrap {
        display: none !important;
    }
}